	function initAds() {
      if (admob) {
        var adPublisherIds = {
          		ios : {
					banner: 'ca-app-pub-6928353476552464/6107837237',
            		interstitial : "ca-app-pub-6928353476552464/4572228430"
				},
				android : {
					banner: 'ca-app-pub-6928353476552464/6107837237',
					interstitial : "ca-app-pub-6928353476552464/4572228430"
				}
        };
    	  
        var admobid = (/(android)/i.test(navigator.userAgent)) ? adPublisherIds.android : adPublisherIds.ios;
            
        admob.setOptions({
          publisherId:      admobid.banner,
          interstitialAdId: admobid.interstitial,
          autoShowInterstitial: false
        });

        registerAdEvents();
        
      } else {
        alert('AdMobAds plugin not ready');
      }
    }
    
    function onAdLoaded(e) {
      if (e.adType === admob.AD_TYPE.INTERSTITIAL) {
        admob.showInterstitialAd();
        /*showNextInterstitial = setTimeout(function() {
          admob.requestInterstitialAd();
        }, 2 * 60 * 1000); // 2 minutes*/
      }
      else if (e.adType === admob.AD_TYPE.BANNER) {
      	showNextBanner = setTimeout(function() {
          admob.createBannerView();
        }, 1 * 30 * 1000); // 30 seconds
      }
    }
    
    // optional, in case respond to events
    function registerAdEvents() {
      document.addEventListener(admob.events.onAdLoaded, onAdLoaded);
      document.addEventListener(admob.events.onAdFailedToLoad, function (e) {});
      document.addEventListener(admob.events.onAdOpened, function (e) {});
      document.addEventListener(admob.events.onAdClosed, function (e) {});
      document.addEventListener(admob.events.onAdLeftApplication, function (e) {});
      document.addEventListener(admob.events.onInAppPurchaseRequested, function (e) {});
    }
        
    function onDeviceReady() {
      initAds();

      // display a banner at startup
      admob.createBannerView();
        
      // request an interstitial
      admob.requestInterstitialAd();
    }
    
    document.addEventListener("deviceready", onDeviceReady, false);